com.mysql.cj.conf

## Class PropertyDefinitions

- java.lang.Object
- - com.mysql.cj.conf.PropertyDefinitions

    public class PropertyDefinitions
    extends Object

### Nested Class Summary

Nested Classes
`static class` `PropertyDefinitions.AuthMech`
`static class` `PropertyDefinitions.Compression`
`static class` `PropertyDefinitions.DatabaseTerm`
`static class` `PropertyDefinitions.OpenTelemetry`
`static class` `PropertyDefinitions.SslMode`
`static class` `PropertyDefinitions.XdevapiSslMode`
`static class` `PropertyDefinitions.ZeroDatetimeBehavior`

### Field Summary

Fields
`static String` `CATEGORY_AUTH`
`static String` `CATEGORY_BLOBS`
`static String` `CATEGORY_CONNECTION`
`static String` `CATEGORY_DATETIMES`
`static String` `CATEGORY_DEBUGING_PROFILING`
`static String` `CATEGORY_EXCEPTIONS`
`static String` `CATEGORY_HA`
`static String` `CATEGORY_INTEGRATION`
`static String` `CATEGORY_JDBC`
`static String` `CATEGORY_METADATA`
`static String` `CATEGORY_NETWORK`
`static String` `CATEGORY_PERFORMANCE`
`static String` `CATEGORY_PREPARED_STATEMENTS`
`static String` `CATEGORY_RESULT_SETS`
`static String` `CATEGORY_SECURITY`
`static String` `CATEGORY_SESSION`
`static String` `CATEGORY_STATEMENTS`
`static String` `CATEGORY_USER_DEFINED`
`static String` `CATEGORY_XDEVAPI`
`static boolean` `DEFAULT_VALUE_FALSE`
`static String` `DEFAULT_VALUE_NULL_STRING`
`static boolean` `DEFAULT_VALUE_TRUE`
`static String` `NO_ALIAS`
`static String[]` `PROPERTY_CATEGORIES`
`static Map<PropertyKey,PropertyDefinition<?>>` `PROPERTY_KEY_TO_PROPERTY_DEFINITION` Static unmodifiable `PropertyKey` -> `PropertyDefinition` map.
`static boolean` `RUNTIME_MODIFIABLE` is modifiable in run-time
`static boolean` `RUNTIME_NOT_MODIFIABLE` is not modifiable in run-time (will allow to set not-null value only once)
`private static String` `STANDARD_LOGGER_NAME`
`static String` `SYSP_com_mysql_cj_build_verbose`
`static String` `SYSP_disableAbandonedConnectionCleanup`
`static String` `SYSP_java_vendor`
`static String` `SYSP_java_version`
`static String` `SYSP_java_vm_vendor`
`static String` `SYSP_line_separator`
`static String` `SYSP_os_arch`
`static String` `SYSP_os_name`
`static String` `SYSP_os_version`
`static String` `SYSP_testsuite_cantGrant`
`static String` `SYSP_testsuite_ds_db` For testsuite.regression.DataSourceRegressionTest
`static String` `SYSP_testsuite_ds_host` For testsuite.regression.DataSourceRegressionTest
`static String` `SYSP_testsuite_ds_password` For testsuite.regression.DataSourceRegressionTest
`static String` `SYSP_testsuite_ds_port` For testsuite.regression.DataSourceRegressionTest
`static String` `SYSP_testsuite_ds_user` For testsuite.regression.DataSourceRegressionTest
`static String` `SYSP_testsuite_loadstoreperf_tabletype` For testsuite.perf.LoadStorePerfTest
`static String` `SYSP_testsuite_loadstoreperf_useBigResults` For testsuite.perf.LoadStorePerfTest
`static String` `SYSP_testsuite_miniAdminTest_runShutdown` The system property that must exist to run the shutdown test in testsuite.simple.MiniAdminTest
`static String` `SYSP_testsuite_noDebugOutput` Suppress debug output when running testsuite
`static String` `SYSP_testsuite_retainArtifacts` Don't remove database object created by tests
`static String` `SYSP_testsuite_runLongTests`
`static String` `SYSP_testsuite_serverController_basedir`
`static String` `SYSP_testsuite_socksProxyHost`
`static String` `SYSP_testsuite_socksProxyPort`
`static String` `SYSP_testsuite_unavailable_host`
`static String` `SYSP_testsuite_url`
`static String` `SYSP_testsuite_url_cluster`
`static String` `SYSP_testsuite_url_mysqlx`

### Constructor Summary

Constructors
`PropertyDefinitions()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PropertyDefinition<?>` `getPropertyDefinition(PropertyKey propertyKey)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SYSP_line_separator

    public static final String SYSP_line_separator

See Also:
  Constant Field Values

#### SYSP_java_vendor

    public static final String SYSP_java_vendor

See Also:
  Constant Field Values

#### SYSP_java_version

    public static final String SYSP_java_version

See Also:
  Constant Field Values

#### SYSP_java_vm_vendor

    public static final String SYSP_java_vm_vendor

See Also:
  Constant Field Values

#### SYSP_os_name

    public static final String SYSP_os_name

See Also:
  Constant Field Values

#### SYSP_os_arch

    public static final String SYSP_os_arch

See Also:
  Constant Field Values

#### SYSP_os_version

    public static final String SYSP_os_version

See Also:
  Constant Field Values

#### SYSP_disableAbandonedConnectionCleanup

    public static final String SYSP_disableAbandonedConnectionCleanup

See Also:
  Constant Field Values

#### SYSP_testsuite_url

    public static final String SYSP_testsuite_url

See Also:
  Constant Field Values

#### SYSP_testsuite_url_cluster

    public static final String SYSP_testsuite_url_cluster

See Also:
  Constant Field Values

#### SYSP_testsuite_url_mysqlx

    public static final String SYSP_testsuite_url_mysqlx

See Also:
  Constant Field Values

#### SYSP_testsuite_cantGrant

    public static final String SYSP_testsuite_cantGrant

See Also:
  Constant Field Values

#### SYSP_testsuite_unavailable_host

    public static final String SYSP_testsuite_unavailable_host

See Also:
  Constant Field Values

#### SYSP_testsuite_socksProxyHost

    public static final String SYSP_testsuite_socksProxyHost

See Also:
  Constant Field Values

#### SYSP_testsuite_socksProxyPort

    public static final String SYSP_testsuite_socksProxyPort

See Also:
  Constant Field Values

#### SYSP_testsuite_ds_host

    public static final String SYSP_testsuite_ds_host

For testsuite.regression.DataSourceRegressionTest

See Also:
  Constant Field Values

#### SYSP_testsuite_ds_port

    public static final String SYSP_testsuite_ds_port

For testsuite.regression.DataSourceRegressionTest

See Also:
  Constant Field Values

#### SYSP_testsuite_ds_db

    public static final String SYSP_testsuite_ds_db

For testsuite.regression.DataSourceRegressionTest

See Also:
  Constant Field Values

#### SYSP_testsuite_ds_user

    public static final String SYSP_testsuite_ds_user

For testsuite.regression.DataSourceRegressionTest

See Also:
  Constant Field Values

#### SYSP_testsuite_ds_password

    public static final String SYSP_testsuite_ds_password

For testsuite.regression.DataSourceRegressionTest

See Also:
  Constant Field Values

#### SYSP_testsuite_loadstoreperf_tabletype

    public static final String SYSP_testsuite_loadstoreperf_tabletype

For testsuite.perf.LoadStorePerfTest

See Also:
  Constant Field Values

#### SYSP_testsuite_loadstoreperf_useBigResults

    public static final String SYSP_testsuite_loadstoreperf_useBigResults

For testsuite.perf.LoadStorePerfTest

See Also:
  Constant Field Values

#### SYSP_testsuite_miniAdminTest_runShutdown

    public static final String SYSP_testsuite_miniAdminTest_runShutdown

The system property that must exist to run the shutdown test in testsuite.simple.MiniAdminTest

See Also:
  Constant Field Values

#### SYSP_testsuite_noDebugOutput

    public static final String SYSP_testsuite_noDebugOutput

Suppress debug output when running testsuite

See Also:
  Constant Field Values

#### SYSP_testsuite_retainArtifacts

    public static final String SYSP_testsuite_retainArtifacts

Don't remove database object created by tests

See Also:
  Constant Field Values

#### SYSP_testsuite_runLongTests

    public static final String SYSP_testsuite_runLongTests

See Also:
  Constant Field Values

#### SYSP_testsuite_serverController_basedir

    public static final String SYSP_testsuite_serverController_basedir

See Also:
  Constant Field Values

#### SYSP_com_mysql_cj_build_verbose

    public static final String SYSP_com_mysql_cj_build_verbose

See Also:
  Constant Field Values

#### CATEGORY_AUTH

    public static final String CATEGORY_AUTH

#### CATEGORY_CONNECTION

    public static final String CATEGORY_CONNECTION

#### CATEGORY_SESSION

    public static final String CATEGORY_SESSION

#### CATEGORY_NETWORK

    public static final String CATEGORY_NETWORK

#### CATEGORY_SECURITY

    public static final String CATEGORY_SECURITY

#### CATEGORY_STATEMENTS

    public static final String CATEGORY_STATEMENTS

#### CATEGORY_PREPARED_STATEMENTS

    public static final String CATEGORY_PREPARED_STATEMENTS

#### CATEGORY_RESULT_SETS

    public static final String CATEGORY_RESULT_SETS

#### CATEGORY_METADATA

    public static final String CATEGORY_METADATA

#### CATEGORY_BLOBS

    public static final String CATEGORY_BLOBS

#### CATEGORY_DATETIMES

    public static final String CATEGORY_DATETIMES

#### CATEGORY_HA

    public static final String CATEGORY_HA

#### CATEGORY_PERFORMANCE

    public static final String CATEGORY_PERFORMANCE

#### CATEGORY_DEBUGING_PROFILING

    public static final String CATEGORY_DEBUGING_PROFILING

#### CATEGORY_EXCEPTIONS

    public static final String CATEGORY_EXCEPTIONS

#### CATEGORY_INTEGRATION

    public static final String CATEGORY_INTEGRATION

#### CATEGORY_JDBC

    public static final String CATEGORY_JDBC

#### CATEGORY_XDEVAPI

    public static final String CATEGORY_XDEVAPI

#### CATEGORY_USER_DEFINED

    public static final String CATEGORY_USER_DEFINED

#### PROPERTY_CATEGORIES

    public static final String[] PROPERTY_CATEGORIES

#### DEFAULT_VALUE_TRUE

    public static final boolean DEFAULT_VALUE_TRUE

See Also:
  Constant Field Values

#### DEFAULT_VALUE_FALSE

    public static final boolean DEFAULT_VALUE_FALSE

See Also:
  Constant Field Values

#### DEFAULT_VALUE_NULL_STRING

    public static final String DEFAULT_VALUE_NULL_STRING

#### NO_ALIAS

    public static final String NO_ALIAS

#### RUNTIME_MODIFIABLE

    public static final boolean RUNTIME_MODIFIABLE

is modifiable in run-time

See Also:
  Constant Field Values

#### RUNTIME_NOT_MODIFIABLE

    public static final boolean RUNTIME_NOT_MODIFIABLE

is not modifiable in run-time (will allow to set not-null value only once)

See Also:
  Constant Field Values

#### STANDARD_LOGGER_NAME

    private static String STANDARD_LOGGER_NAME

#### PROPERTY_KEY_TO_PROPERTY_DEFINITION

    public static final Map<PropertyKey,PropertyDefinition<?>> PROPERTY_KEY_TO_PROPERTY_DEFINITION

Static unmodifiable `PropertyKey` -> `PropertyDefinition` map.

### Constructor Detail

#### PropertyDefinitions

    public PropertyDefinitions()

### Method Detail

#### getPropertyDefinition

    public static PropertyDefinition<?> getPropertyDefinition(PropertyKey propertyKey)

Copyright © 2016, 2025, Oracle and/or its affiliates.